Skip to content

Most visited

Recently visited

navigation

Material Design para desenvolvedores

Dependências e pré-requisitos

  • Android 5.0 (API de nível 21)

O Material Design é um guia abrangente para design visual, de movimento e de interação para diversas plataformas e dispositivos. Para usar o Material Design nos aplicativos Android, siga as orientações descritas nas especificações do Material Design e use os novos componentes e funcionalidades disponíveis no Android 5.0 (API de nível 21).

Essa lição mostra como criar aplicativos do Material Design com os seguintes elementos:

Esta lição também ensina a manter a compatibilidade com versões anteriores ao Android 5.0 (API de nível 21) ao usar recursos do Material Design no aplicativo.

Lições

Como iniciar
Aprenda a atualizar o aplicativo com recursos do Material Design.
Como usar o tema do Material
Saiba como aplicar estilos do Material Design ao aplicativo.
Como criar listas e cartões
Aprenda a criar listas e cartões com uma aparência consistente usando widgets do sistema.
Como definir sombras e recortar visualizações
Saiba como definir elevação para as visualizações para criar sombras personalizadas e como recortar visualizações.
Como trabalhar com desenháveis
Aprenda a criar desenháveis de vetor e a colorir recursos desenháveis.
Como definir animações personalizadas
Saiba como criar animações personalizadas para visualizações e transições de atividades com elementos compartilhados.
Como manter a compatibilidade
Aprenda a manter a compatibilidade com versões de plataforma anteriores ao Android 5.0.
This site uses cookies to store your preferences for site-specific language and display options.

Get the latest Android developer news and tips that will help you find success on Google Play.

* Required Fields

Hooray!

Siga o Google Developers no WeChat

Browse this site in ?

You requested a page in , but your language preference for this site is .

Would you like to change your language preference and browse this site in ? If you want to change your language preference later, use the language menu at the bottom of each page.

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a short survey?
Help us improve the Android developer experience. (Dec 2017 Android Platform & Tools Survey)